Bug 652857 - misaddresed user-space probes on prelinked shared libraries on i686 (REL)
misaddresed user-space probes on prelinked shared libraries on i686 (REL)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
13
i686 Unspecified
low Severity high
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 646871 652858
  Show dependency treegraph
 
Reported: 2010-11-12 19:51 EST by Roland McGrath
Modified: 2011-04-12 17:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: elfutils-0.150-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 646871
Environment:
elfutils-0.149-1.fc13.x86_64
Last Closed: 2010-11-27 18:38:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2010-11-12 19:51:51 EST
Due to a suspected problem in the way systemtap/elfutils
compute PC addresses to place int3 probe breakpoints into
prelinked shared libraries, sometimes the wrong instruction
is modified.  This can lead to lost probes, or segmentation
violations, or more subtle errors.  This problem appears to
exist in all versions of systemtap.

"prelink -u /usr/lib/libFOO.so" corrects the miscalculations,
as a temporary workaround.

This issue is being tracked upstream at
http://sourceware.org/bugzilla/show_bug.cgi?id=12141
Comment 1 Roland McGrath 2010-11-12 19:53:34 EST
Bug is in libdwfl handling of prelink REL->RELA changes vs separate debug file.
Comment 2 Roland McGrath 2010-11-12 19:54:09 EST
commit 1743d7f should fix this, needs more thorough/regression testing still.
Comment 3 Fedora Update System 2010-11-23 17:00:50 EST
elfutils-0.150-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/elfutils-0.150-1.fc14
Comment 4 Fedora Update System 2010-11-23 17:01:04 EST
elfutils-0.150-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/elfutils-0.150-1.fc13
Comment 5 Fedora Update System 2010-11-24 17:39:00 EST
elfutils-0.150-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/elfutils-0.150-1.fc14
Comment 6 Fedora Update System 2010-11-27 18:38:06 EST
elfutils-0.150-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-01-12 20:17:43 EST
elfutils-0.151-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/elfutils-0.151-1.fc14
Comment 8 Fedora Update System 2011-01-12 20:17:55 EST
elfutils-0.151-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/elfutils-0.151-1.fc13
Comment 9 Fedora Update System 2011-01-21 18:06:33 EST
elfutils-0.151-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-04-12 17:26:48 EDT
elfutils-0.152-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.